Hi team, For those using Mixpanel with python: How...
# questions
f
Hi team, For those using Mixpanel with python: How do you resolve this connection error? My scripts were working fine but this error just started coming up anytime I ran a script that has the mixpanel sdk.
Copy code
ConnectionRefusedError: [Errno 61] Connection refused

During handling of the above exception, another exception occurred:

NewConnectionError                        Traceback (most recent call last)
File ~/code/file_name/.dbtenv/lib/python3.8/site-packages/urllib3/connectionpool.py:703, in HTTPConnectionPool.urlopen(self, method, url, body, headers, retries, redirect, assert_same_host, timeout, pool_timeout, release_conn, chunked, body_pos, **response_kw)
...
    626     response_dict = response.json()

File <string>:3, in raise_from(value, from_value)

MixpanelException: HTTPSConnectionPool(host='<http://api.mixpanel.com|api.mixpanel.com>', port=443): Max retries exceeded with url: /track (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x10687f460>: Failed to establish a new connection: [Errno 61] Connection refused'))
1